﻿using System.Collections.Generic;
using System.Windows.Controls;

namespace SLAppTest1
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
		}
	}

	public class TreeArea
	{
		public TreeArea(string name)
		{
			Name = name;
			ID = string.Empty;
			battery = new List<Battery>();
		}
		public string Name { get; set; }
		public string ID { get; set; }
		public List<Battery> battery { get; set; }
	}
	public class Battery
	{
		public Battery(string name)
		{
			Name = name;
			ID = string.Empty;
			well = new List<Well>();
		}
		public string Name { get; set; }
		public string ID { get; set; }
		public List<Well> well { get; set; }
	}
	public class Well
	{
		public Well(string name)
		{
			Name = name;
			ID = string.Empty;
		}
		public string Name { get; set; }
		public string ID { get; set; }
	}
	public class TreeAreaDataSource : List<TreeArea>
	{
		public TreeAreaDataSource()
		{
			TreeArea treeArea;
			Battery d;
			Add(treeArea = new TreeArea("TreeArea A"));
			treeArea.battery.Add((d = new Battery("battery A-A")));
			d.well.Add(new Well("well I A-A"));
			d.well.Add(new Well("well II A-A"));
			d.well.Add(new Well("well III A-A"));
			d.well.Add(new Well("well IV A-A"));
			d.well.Add(new Well("well V A-A"));
			treeArea.battery.Add((d = new Battery("battery A-B")));
			d.well.Add(new Well("well Blue A-B"));
			d.well.Add(new Well("well Red A-B"));
			d.well.Add(new Well("well Yellow A-B"));
			d.well.Add(new Well("well Green A-B"));
			d.well.Add(new Well("well Orange A-B"));
			Add(treeArea = new TreeArea("TreeArea B"));
			treeArea.battery.Add((d = new Battery("battery B-A")));
			d.well.Add(new Well("well 1 B-A"));
			d.well.Add(new Well("well 2 B-A"));
			d.well.Add(new Well("well 3 B-A"));
			treeArea.battery.Add((d = new Battery("battery B-B")));
			d.well.Add(new Well("well Diamond B-B"));
			d.well.Add(new Well("well Heart B-B"));
			d.well.Add(new Well("well Club B-B"));
		}
	}
}
